summaryrefslogtreecommitdiffstats
path: root/tests/test5.tst
diff options
context:
space:
mode:
Diffstat (limited to 'tests/test5.tst')
-rw-r--r--tests/test5.tst14
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/test5.tst b/tests/test5.tst
new file mode 100644
index 0000000..0724d01
--- /dev/null
+++ b/tests/test5.tst
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+source ${CURDIR}/tests/functions
+
+#
+# Test offline build as well as tmpfs
+#
+header "Test offline build as well as tmpfs"
+runcmd "$MOCKCMD --offline --enable-plugin=tmpfs --rebuild $MOCKSRPM"
+if [ ! -e $outdir/mock-*.noarch.rpm ]; then
+ echo "rebuild test FAILED. could not find $outdir/mock-*.noarch.rpm"
+ exit 1
+fi
+